#include <math.h>

#include "board.h"
#include "clock_config.h"
#include "peripherals.h"
#include "pin_mux.h"

#include "fsl_debug_console.h"

#include "mruby.h"
#include "mruby/compile.h"

int main(void) {
    BOARD_InitBootPins();
    BOARD_BootClockFROHF96M();
    BOARD_InitBootPeripherals();

    BOARD_InitDebugConsole();

    mrb_state* mrb = mrb_open();
    mrbc_context *cxt = mrbc_context_new(mrb);

    PRINTF("MRuby Version: %s\r\n", MRUBY_RUBY_VERSION);

    mrbc_cleanup_local_variables(mrb, cxt);
    mrbc_context_free(mrb, cxt);
    mrb_close(mrb);

    for(;;) {
        __WFI();
    }
}